cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d...@apache.org
Subject [01/24] git commit: updated refs/heads/master to 6fd49e4
Date Sun, 21 Jun 2015 13:13:57 GMT
Repository: cloudstack
Updated Branches:
  refs/heads/master bbb165a03 -> 6fd49e49a


Get some verbosity and debug on after_script.sh to troubleshoot timeouts on this phase Travis
is using maven 3.2.5 and this script was setting an alternate maven path before running script
Setting CATALINA_BASE and CATALINA_HOME is of no consequence while running jetty, just adds
more problems

Signed-off-by: Daan Hoogland <daan@onecht.net>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/6a6d64b9
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/6a6d64b9
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/6a6d64b9

Branch: refs/heads/master
Commit: 6a6d64b99a79963a7cc82063556177d4b508eae2
Parents: b55ef55
Author: Rafael da Fonseca <rsafonseca@gmail.com>
Authored: Thu Jun 18 23:23:00 2015 +0200
Committer: Daan Hoogland <daan@onecht.net>
Committed: Sun Jun 21 15:13:24 2015 +0200

----------------------------------------------------------------------
 tools/travis/before_script.sh | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/6a6d64b9/tools/travis/before_script.sh
----------------------------------------------------------------------
diff --git a/tools/travis/before_script.sh b/tools/travis/before_script.sh
index cba50e0..1c39bf2 100755
--- a/tools/travis/before_script.sh
+++ b/tools/travis/before_script.sh
@@ -35,12 +35,13 @@ if [ $MOD -ne 0 ]; then
 fi
 
 
-export CATALINA_BASE=/opt/tomcat
-export CATALINA_HOME=/opt/tomcat
-export M2_HOME="/usr/local/maven-3.2.1/"
+#export CATALINA_BASE=/opt/tomcat
+#export CATALINA_HOME=/opt/tomcat
+#export M2_HOME="/usr/local/maven-3.2.1/"
 export MAVEN_OPTS="-Xmx1024m -XX:MaxPermSize=500m"
+echo -e "\nStarting simulator"
+mvn -Dsimulator -pl :cloud-client-ui jetty:run 2>&1 > /tmp/jetty-log &
 
-mvn -Dsimulator -pl :cloud-client-ui jetty:run 2>&1 > /dev/null &
-
-while ! nc -vz localhost 8096 2>&1 > /dev/null; do sleep 10; done
+while ! nc -vz localhost 8096 2>&1 > /dev/null; do grep Exception /tmp/jetty-log;
sleep 10; done
+echo -e "\nStarting simulator"
 python -m marvin.deployDataCenter -i setup/dev/advanced.cfg 2>&1 || true


Mime
View raw message